We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

problem z php


kiko
12-01-2009, 17:14
... a jak doinstalowac php4 - bo rozumiem ze nie ma sensu kasowac 5

co bedzie potrzebne ? i jak sie to bedzie uruchamialo ?

uetam
12-01-2009, 14:09
No to dorzuc sobie do php --prefix=/usr/local/php5. Wtedy sie przynajmniej nie zgubisz. Ale on i tak przy make install powinien wrzucic libphp5 do odpowiedniego katalogu z apaczem i sam poprawic konfiguracje...

kiko
12-01-2009, 12:41
no ale nie moge odnalesc tej sciezki z tym nowym

a jest mozliwosc ze to php5 dziala prawidlowo lecz skrypt na ktorym sprawdzam jest pod php4 ?

uetam
03-01-2009, 17:28
Podmien w pliku konfiguracyjnym serwera www sciezke do libphp5.

kiko
03-01-2009, 12:43
sciagnalem nowsza wersje
rozpakowalem - dalem configure --enable-mcrypt

no i make i make install

jak teraz to uruchomic ? w php version pisze mi ze mam stara wersje ?


libmcrypt i mcrypt instalowalem wczesniej


co robie zle ?

kiko
02-01-2009, 19:27
no tez mnie to dziwilo ze dll ale tak juz bylo - nic nie zmienialem

updatedb
locate mcrypt.so
/usr/local/lib/libmcrypt.so.4.4.8
/usr/local/lib/libmcrypt.so.4
/usr/local/lib/libmcrypt.so
/usr/local/src/lampp/lib/libmcrypt.so.4
/usr/local/src/lampp/lib/libmcrypt.so
/usr/local/src/lampp/lib/libmcrypt.so.4.4.7
/usr/local/src/libmcrypt-2.5.8/lib/.libs/libmcrypt.so.4.4.8
/usr/local/src/libmcrypt-2.5.8/lib/.libs/libmcrypt.so.4
/usr/local/src/libmcrypt-2.5.8/lib/.libs/libmcrypt.so


czyli lipa ?

kiko
02-01-2009, 18:33
witam . mam problem z php - w phpmyadmin pisze ze :

nie udało się załadować modułu mcrypt,
proszę sprawdzić konfigurację PHP



ogolnie myadmin dziala lecz jest problem z plikami .php


w logach pisze ze mcrypt.dll - brak pliku - zgadzam sie bo go nie ma.

po zainstalowaniu mcrypt dalej jest problem -

php to PHP Version 5.2.5 z zestawu slackware 12.1


jak to rozwiazac ?